/**
 * output package name
 */
package com.kingdee.eas.custom.entryconfig.enumlist;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class RelationshipEnum extends StringEnum
{
    public static final String LEFTJOIN_VALUE = "Left Join";//alias=左连接
    public static final String RIGHTJOIN_VALUE = "right join";//alias=右链接
    public static final String FULLJOIN_VALUE = "full join";//alias=全连接
    public static final String INNERJOIN_VALUE = "inner join";//alias=内连接

    public static final RelationshipEnum leftJoin = new RelationshipEnum("leftJoin", LEFTJOIN_VALUE);
    public static final RelationshipEnum rightJoin = new RelationshipEnum("rightJoin", RIGHTJOIN_VALUE);
    public static final RelationshipEnum fullJoin = new RelationshipEnum("fullJoin", FULLJOIN_VALUE);
    public static final RelationshipEnum innerJoin = new RelationshipEnum("innerJoin", INNERJOIN_VALUE);

    /**
     * construct function
     * @param String relationshipEnum
     */
    private RelationshipEnum(String name, String relationshipEnum)
    {
        super(name, relationshipEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static RelationshipEnum getEnum(String relationshipEnum)
    {
        return (RelationshipEnum)getEnum(RelationshipEnum.class, relationshipEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(RelationshipEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(RelationshipEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(RelationshipEnum.class);
    }
}